Buscar resumo de atendimentos

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
GET /transformersapi/1.0/customer-summary/{index_name}/{document}

Buscar resumo de atendimentos.

Path parameters

  • index_name string Required

    Nome do índice Elasticsearch

  • document string Required

    Documento do cliente (CPF, telefone ou e-mail)

Query parameters

  • page integer

    Número da página, começa em 1 (padrão: 1)

  • size integer

    Itens por página, mín: 1 (padrão: 1)

  • finished_period string

    Data final do período (ex: 2025-01-31). Padrão: hoje

application/json

Body Required

string string

Responses

  • 200 application/json

    Requisição processada com sucesso. Retorna os dados correspondentes ao filtro informado.

    Hide response attributes Show response attributes object
    • results array[object]
      Hide results attributes Show results attributes object
      • sessionId string
      • userName string
      • summarization string
      • lastUpdate string
    • page number
    • total_pages number
    • total_items number
  • 401 application/json

    Token de autenticação ausente ou inválido. Envie o header Authorization: Bearer {token}.

    Hide response attribute Show response attribute object
    • status string
  • 404 application/json

    Recurso não encontrado para os parâmetros informados.

    Hide response attribute Show response attribute object
    • status string
GET /transformersapi/1.0/customer-summary/{index_name}/{document}
curl \
 --request GET 'https://api.neppo.com.br/transformersapi/1.0/customer-summary/{index_name}/{document}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '"string"'
Request examples
string
Response examples (200)
{
  "results": [
    {
      "sessionId": "WA00000070017",
      "userName": "cliente@email.com",
      "summarization": "O cliente entrou em contato para solicitar suporte técnico. O problema foi resolvido pelo agente.",
      "lastUpdate": "2025-01-15T10:30:00Z"
    }
  ],
  "page": 1,
  "total_pages": 5,
  "total_items": 45
}
Response examples (401)
{
  "status": "Unauthorized"
}
Response examples (404)
{
  "status": "Not Found"
}